INTERFACE
SUBROUTINE SUHOWLSM(KDGSA,KDGEN,KFRSTLOFF,PLATIN,KAFPB,PTMERGL,PTSIN,&
 & PLSMIN,PTSOUT,PLSMOUT,KLSIM,KBINL,KLEN,KLA,KL0,PDLAT,PDLO,PDLO1,PDLO2,&
 & PDLO3,PWXX) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSA
INTEGER(KIND=JPIM),INTENT(IN) :: KDGEN
INTEGER(KIND=JPIM),INTENT(IN) :: KFRSTLOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KAFPB
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
REAL(KIND=JPRB) ,INTENT(IN) :: PLATIN(KDGSA+KFRSTLOFF:KDGEN+KFRSTLOFF)
REAL(KIND=JPRB) ,INTENT(IN) :: PTMERGL
REAL(KIND=JPRB) ,INTENT(IN) :: PTSIN(KAFPB)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSMIN(KAFPB)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSOUT(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSMOUT(KLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KLSIM
INTEGER(KIND=JPIM),INTENT(IN) :: KBINL
INTEGER(KIND=JPIM),INTENT(IN) :: KLA(KLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(KLEN,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO1(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO2(KLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO3(KLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWXX(KLEN,KBINL)
END SUBROUTINE SUHOWLSM
END INTERFACE
